MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025808Open CASCADE[OCCT] OCCT:Visualizationpublic2015-02-09 16:532015-05-14 15:31
Reporterasl 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025808: Visualization - Initialization of Prs3d_PointAspect by custom Graphic3d_AspectMarker3d
DescriptionIt is necessary to have the possibility to initialize the Prs3d_PointAspect by custom Graphic3d_AspectMarker3d.

For example, it is necessary if Graphic3d aspect is custom (e.g. it uses point textures), but the object to which the aspect should be applied is AIS. But AIS objects aspects are managed via Prs3d classes, see for example, AIS_InterativeObject and AIS_Drawer classes.

Thus, it is proposed to implement a special constructor of the Prs3d_PointAspect class accepting the Graphic3d_AspectMarker3d instance and copying the handle into the internal class field.
Steps To ReproduceNecessary constructors and SetAspect() methods are absent for Prs3d aspect classes.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0037262)
git (administrator)
2015-02-10 09:00

Branch CR25808 has been created by asl.

SHA-1: f2b1fb4a856c07d33f67a32191b2b10621496d19


Detailed log of new commits:

Author: asl
Date: Mon Feb 9 16:55:08 2015 +0300

    the constructor accepting the Graphic3d_AspectMarker3d is implemented
(0037264)
asl (developer)
2015-02-10 09:01

The constructor is implemented in the branch CR25808
(0037615)
kgv (developer)
2015-02-17 10:52

Please make this functionality consistent within different aspect types.
For now Prs3d_ShadingAspect has method SetAspect(), your patch proposes new constructor for Prs3d_PointAspect, and there no alternatives for some other aspect classes.
(0037791)
git (administrator)
2015-02-24 09:18

Branch CR25808 has been updated by asl.

SHA-1: f01cec49f76e3d421bd3e5780b5e671bbea1b550


Detailed log of new commits:

Author: asl
Date: Tue Feb 24 09:18:26 2015 +0300

    0025808: constructor with graphic3d aspect and SetAspect() method are implemented for other aspect classes

(0037792)
asl (developer)
2015-02-24 09:20

For 5 aspect classes:
  Prs3d_ArrowAspect
  Prs3d_LineAspect
  Prs3d_PointAspect
  Prs3d_ShadingAspect
  Prs3d_TextAspect
it has been implemented the constructor accepting the corresponding Graphic3d aspect and the method SetAspect() necessary to replace the current Graphic3d aspect by given one.
(0037830)
kgv (developer)
2015-02-24 16:40

+Prs3d_ArrowAspect::Prs3d_ArrowAspect( const Handle( Graphic3d_AspectLine3d )& theAspect )
+{
+  myArrowAspect = theAspect;
+}

not all class fields have been initialized.
(0037842)
git (administrator)
2015-02-25 09:59

Branch CR25808 has been updated by asl.

SHA-1: f3316043a4db28030c57b2ec68699be5b9659b51


Detailed log of new commits:

Author: Alexander SOLOVYOV
Date: Wed Feb 25 09:59:12 2015 +0300

    0025808: patch for non-initialized variables

(0037843)
asl (developer)
2015-02-25 09:59

Class fields are initialized now
(0037851)
git (administrator)
2015-02-25 13:34

Branch CR25808 has been updated by asl.

SHA-1: e12b6577f55064c911c3fbeed938adfd536f8d50


Detailed log of new commits:

Author: asl
Date: Wed Feb 25 13:34:26 2015 +0300

    Merge branch 'CR25808' of git.dev.opencascade.org:occt into CR25808

Author: asl
Date: Wed Feb 25 13:33:57 2015 +0300

    0025808: patch for non-initialized variables

(0037853)
kgv (developer)
2015-02-25 13:51

    Merge branch 'CR25808' of git.dev.opencascade.org:occt into CR25808

please prepare the patch following OCCT bug processing rules.
(0037854)
git (administrator)
2015-02-25 14:02

Branch CR25808 has been updated forcibly by asl.

SHA-1: e6b7d7339b78bbf4c7108d0d04e2e4f0ec6d5ba6
(0037855)
asl (developer)
2015-02-25 14:02

Done
(0037862)
kgv (developer)
2015-02-25 15:04

Please use gitweb interface to see how your branch is looks alike:
http://git.dev.opencascade.org/gitweb/?p=occt.git;a=summary [^]
(0037866)
git (administrator)
2015-02-25 15:20

Branch CR25808 has been updated forcibly by asl.

SHA-1: dd88fae26ffa313eb8c175681b1651436b3b7984
(0037867)
asl (developer)
2015-02-25 15:23

The commit history is cleaned
(0037868)
kgv (developer)
2015-02-25 15:28

Please test the patch.
(0037966)
git (administrator)
2015-02-27 19:20

Branch CR25808 has been updated forcibly by apv.

SHA-1: 50043099aa54130dda24d22b3c3523cd86966fce
(0037967)
apv (tester)
2015-02-27 19:20

Branch CR25808 has been rebased on the current master
(0038101)
apv (tester)
2015-03-04 18:09

Dear BugMaster,

Branch CR25808 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 50043099aa54130dda24d22b3c3523cd86966fce

Number of compiler warnings:
occt component:
   Linux: 18 (18 on master)
   Windows: 2 (2 on master)
products component:
   Linux: 11 (11 on master)
   Windows: 4 (4 on master)

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 91547374 / 91877140
Total CPU difference: 56956.470000000256 / 59519.03999999998

Testing on Windows:
Total MEMORY difference: 57943339 / 57944267
Total CPU difference: 34583.84375 / 38926.375
(0038600)
git (administrator)
2015-03-18 13:38

Branch CR25808 has been deleted by inv.

SHA-1: 50043099aa54130dda24d22b3c3523cd86966fce

- Related Changesets
occt: master 1a75746e
Timestamp: 2015-03-05 11:39:03
Author: asl
Committer: bugmaster
Details ] Diff ]
0025808: Visualization - Initialization of Prs3d_PointAspect by custom Graphic3d_AspectMarker3d

the constructor accepting the Graphic3d_AspectMarker3d is implemented

constructor with graphic3d aspect and SetAspect() method are implemented for other aspect classes

patch for non-initialized class fields
mod - src/Prs3d/Prs3d_ArrowAspect.cdl Diff ] File ]
mod - src/Prs3d/Prs3d_ArrowAspect.cxx Diff ] File ]
mod - src/Prs3d/Prs3d_LineAspect.cdl Diff ] File ]
mod - src/Prs3d/Prs3d_LineAspect.cxx Diff ] File ]
mod - src/Prs3d/Prs3d_PointAspect.cdl Diff ] File ]
mod - src/Prs3d/Prs3d_PointAspect.cxx Diff ] File ]
mod - src/Prs3d/Prs3d_ShadingAspect.cdl Diff ] File ]
mod - src/Prs3d/Prs3d_ShadingAspect.cxx Diff ] File ]
mod - src/Prs3d/Prs3d_TextAspect.cdl Diff ] File ]
mod - src/Prs3d/Prs3d_TextAspect.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-02-09 16:53 asl New Issue
2015-02-09 16:53 asl Assigned To => asl
2015-02-10 09:00 git Note Added: 0037262
2015-02-10 09:01 asl Note Added: 0037264
2015-02-10 09:01 asl Assigned To asl => kgv
2015-02-10 09:01 asl Status new => resolved
2015-02-10 09:01 asl Steps to Reproduce Updated View Revisions
2015-02-17 10:52 kgv Note Added: 0037615
2015-02-17 10:52 kgv Assigned To kgv => asl
2015-02-17 10:52 kgv Severity minor => integration request
2015-02-17 10:52 kgv Status resolved => assigned
2015-02-17 10:52 kgv Product Version 6.9.0 =>
2015-02-17 10:52 kgv Summary Initialization of Prs3d_PointAspect by custom Graphic3d_AspectMarker3d => Visualization - Initialization of Prs3d_PointAspect by custom Graphic3d_AspectMarker3d
2015-02-24 09:18 git Note Added: 0037791
2015-02-24 09:20 asl Note Added: 0037792
2015-02-24 09:21 asl Assigned To asl => kgv
2015-02-24 09:21 asl Status assigned => resolved
2015-02-24 09:21 asl Steps to Reproduce Updated View Revisions
2015-02-24 09:21 asl Steps to Reproduce Updated View Revisions
2015-02-24 16:40 kgv Note Added: 0037830
2015-02-24 16:40 kgv Assigned To kgv => asl
2015-02-24 16:40 kgv Status resolved => assigned
2015-02-25 09:59 git Note Added: 0037842
2015-02-25 09:59 asl Note Added: 0037843
2015-02-25 09:59 asl Assigned To asl => kgv
2015-02-25 09:59 asl Status assigned => resolved
2015-02-25 13:34 git Note Added: 0037851
2015-02-25 13:51 kgv Note Added: 0037853
2015-02-25 13:51 kgv Assigned To kgv => asl
2015-02-25 13:51 kgv Status resolved => assigned
2015-02-25 14:02 git Note Added: 0037854
2015-02-25 14:02 asl Note Added: 0037855
2015-02-25 14:02 asl Assigned To asl => kgv
2015-02-25 14:02 asl Status assigned => resolved
2015-02-25 15:04 kgv Note Added: 0037862
2015-02-25 15:04 kgv Assigned To kgv => asl
2015-02-25 15:04 kgv Status resolved => assigned
2015-02-25 15:20 git Note Added: 0037866
2015-02-25 15:23 asl Note Added: 0037867
2015-02-25 15:23 asl Assigned To asl => kgv
2015-02-25 15:23 asl Status assigned => resolved
2015-02-25 15:28 kgv Note Added: 0037868
2015-02-25 15:28 kgv Assigned To kgv => bugmaster
2015-02-25 15:28 kgv Status resolved => reviewed
2015-02-26 15:32 mkv Assigned To bugmaster => apv
2015-02-27 19:20 git Note Added: 0037966
2015-02-27 19:20 apv Note Added: 0037967
2015-03-04 18:07 apv Test case number => Not needed
2015-03-04 18:09 apv Note Added: 0038101
2015-03-04 18:09 apv Assigned To apv => bugmaster
2015-03-04 18:09 apv Status reviewed => tested
2015-03-06 15:13 bugmaster Changeset attached => occt master 1a75746e
2015-03-06 15:13 bugmaster Status tested => verified
2015-03-06 15:13 bugmaster Resolution open => fixed
2015-03-18 13:38 git Note Added: 0038600
2015-04-17 11:03 aiv Project Internal => Open CASCADE
2015-05-14 15:28 aiv Status verified => closed
2015-05-14 15:31 aiv Fixed in Version => 6.9.0


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker